## libunarr 1.0~r188.c4136ab

=== Makefile ===
# GNU Makefile

build ?= debug

OUT := build/$(build)

default: all

# --- Configuration ---

CFLAGS += -Wall
LIBS += -lm

ifeq "$(build)" "debug"
CFLAGS += -pipe -g -DDEBUG
else ifeq "$(build)" "profile"
CFLAGS += -pipe -O3 -DNDEBUG -pg
LDFLAGS += -pg
else ifeq "$(build)" "release"
CFLAGS += -pipe -O3 -DNDEBUG -fomit-frame-pointer
else ifeq "$(build)" "coverage"
CFLAGS += -pipe -g -DDEBUG -pg -fprofile-arcs -ftest-coverage
LIBS += -lgcov
else
$(error unknown build setting: '$(build)')
endif

# --- Commands ---

ifneq "$(verbose)" "yes"
QUIET_AR = @ echo ' ' ' ' AR $@ ;
QUIET_CC = @ echo ' ' ' ' CC $@ ;
QUIET_LINK = @ echo ' ' ' ' LINK $@ ;
endif

CC_CMD = $(QUIET_CC) mkdir -p $(@D) ; $(CC) $(CFLAGS) -o $@ -c $<
AR_CMD = $(QUIET_AR) $(AR) cr $@ $^
LINK_CMD = $(QUIET_LINK) $(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

# --- Third party libraries ---

# TODO: build zlib, bzip2 and 7z when available

# --- unarr files ---

UNARR_OUT := $(OUT)/unarr

UNARR_DIRS := common lzmasdk rar tar zip _7z
UNARR_SRC := $(wildcard $(UNARR_DIRS:=/*.c))
UNARR_OBJ := $(addprefix $(UNARR_OUT)/, $(addsuffix .o, $(basename $(UNARR_SRC))))

$(UNARR_OUT)/%.o : %.c
	$(CC_CMD)

UNARR_LIB := $(OUT)/libunarr.a

$(UNARR_LIB): $(UNARR_OBJ)
	$(AR_CMD)

UNARR_TEST := $(OUT)/unarr-test

$(UNARR_TEST) : $(UNARR_OUT)/main.o $(UNARR_LIB)
	$(LINK_CMD)

# TODO: add header dependencies

# --- Clean and Default ---

all: $(UNARR_TEST)

clean:
	rm -rf build

.PHONY: all clean

=== debian/changelog ===
libunarr (1.0~r188.c4136ab-0.1) unstable; urgency=medium

  * build for antiX-17 (pure stretch)

 -- anticapitalista <antix@operamail.com>  Mon, 28 May 2018 22:52:22 +0300

libunarr (1.0~r188.c4136ab-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Sep 2017 21:57:12 -0700

libunarr (1.0~r188.c4136ab-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Sep 2017 21:50:26 -0700

libunarr (1.0~r188.c4136ab-1) unstable; urgency=low

  * Initial release

 -- Felix Kauselmann <licorn@gmail.com>  Fri, 08 May 2015 22:15:50 +0200

=== debian/control ===
Source: libunarr
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
XSBC-Original-Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper (>= 9), cmake, zlib1g-dev, libbz2-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/zeniko/unarr
Vcs-Git: git://github.com/zeniko/unarr
Vcs-Browser: https://github.com/zeniko/unarr

Package: libunarr-dev
Section: libdevel
Architecture: any
Depends: libunarr (= ${binary:Version}), ${misc:Depends}
Description: A decompression library for rar, zip and tar files. Development version.
 This package provides header files to build applications that will use
 libunarr. Most users will never need to install this package.

Package: libunarr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A decompression library for rar, zip and tar files.
